# import torch


class Config(object):
    def __init__(self):
        self.model_name = ""
        self.is_feature_selection = True
        self.load_global_pretrain_model = False
        self.output_save_path = "M:/data/20220720/"
        self.global_model_save_path = None
        # self.global_model_save_path = "data/global_keras_for_6mA.hdf5"
        # self.model_save_path = self.output_save_path+self.model_name+".h5"
        self.model_save_path = "M:/data/20220720/"
        # self.stacking_model_save_path = "D:/temp/20220720/stacking_model/"
        self.stacking_model_save_path = self.output_save_path+"stacking_model/"

        self.base_models_name = None
        self.base_models_name = ["RF", "AB", "LD", "ET", "GB", "XGB", "LGBM", "LR"]
        self.dropout = 0
        self.require_improvement = 1000  # early stopping

        self.k = 1
        self.n_vocab = 0  # size of vocab
        self.num_epochs = 500  # epoch
        self.patience = 50
        self.batch_size = 256  # mini-batch
        self.learning_rate = 0.01
        self.encoding_data_save_path = self.output_save_path+"ML_encoding/"
        self.features_save_path = self.output_save_path+"features/"  # the number and type of selected feature
        self.fig_save_path = self.output_save_path+"fig/"
        #-------------------------------------
        self.input_length = 41
        self.num_filters = 80
        self.n_folds = 5


    def __copy__(self):
        tmp = Config("")
        tmp.__dict__.update(self.__dict__)
        return tmp
